### File

`packages/ecl/components/ecl-list/ecl-list.directive.ts`

### Description

Directive for a single item within an ECL unordered list.

### Extends

`ECLBaseDirective`

### Metadata

Selector | `[eclUnorderedListItem]`

### Index

###### Properties
cmpClass
###### Methods
getCssClasses
###### Inputs
class e2eAttr tabindex
###### HostBindings
class.ecl-unordered-list__item

### Inputs

class
Type : `string`

e2eAttr
Type : `any`

tabindex
Type : `number`

### HostBindings

class.ecl-unordered-list__item
Type : `boolean`
Default value : `true`
Applies the ECL class for unordered list items.

### Methods

getCssClasses
`getCssClasses(rootClass: string)`
Parameters :
Name | Type | Optional
rootClass | `string` | No
Returns : `string`

### Properties

cmpClass
Type : `unknown`
Default value : `true`
Decorators : `@HostBinding('class.ecl-unordered-list__item')`
Applies the ECL class for unordered list items.

# results matching ""

# No results matching ""